﻿using System;
using System.Drawing;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Space_Invaders
{
    class Drawable
    {
        public Font font;
        public PointF Position;
        private int iwidth;
        private int iheight;
        public Drawable()
        {
            font = new Font("Verdana", 12, GraphicsUnit.Pixel);
        }
        public int Width
        {
            get
            {
                return iwidth;
            }
            set
            {
                iwidth = value;
            }
        }
        public int Height
        {
            get
            {
                return iheight;
            }
            set
            {
                iheight = value;
            }
        }
        public virtual void Draw(Graphics g){
            g.DrawRectangle(Pens.White, this.Position.X, this.Position.Y, this.Width, this.Height);
        }
        public virtual void Update()
        {
        }
        public virtual void Collision()
        {
        }
    }
}
